package com.yidianling.ydlcommon.custom.mvp

/**
 * author : Zhangwenchao
 * e-mail : zhangwch@yidianling.com
 * time   : 2018/01/29
 *
 * 基础 presenter 类，初始化 view 和 model
 * 泛型分别为 view 类型和 model 类型
 */
abstract class BasePresenter<V: MVPView, out M: MVPModel>(val view: V):
    MVPPresenter<V, M> {

    protected val model: M by lazy { createModel() }

    override fun onViewDestroy() { }

}